@font-face { 
    font-family: "Spectral-Regular"; 
    src: url("/fonts/Spectral-Regular.woff2") format("woff2"), 
        url("/fonts/Spectral-Regular.woff") format("woff"), 
        url("/fonts/Spectral-Regular.ttf") format("truetype"); 
    font-weight: normal;
    font-style: normal; 
    font-display: swap; 
}

@font-face { 
    font-family: "HappyLilFont"; 
    src: url("/fonts/HappyLilFont.woff2") format("woff2"), 
        url("/fonts/HappyLilFont.woff") format("woff"), 
        url("/fonts/HappyLilFont.ttf") format("truetype"); 
    font-weight: normal;
    font-style: normal; 
    font-display: swap; 
}

#top-lace {
  position: absolute;
  top: 0px;
  left: 0;
  width: 100%;
  height: 300px; /* Adjust to your lace image height */
  background-image: url('https://file.garden/afur3PEpvWUTiMvr/Dividers/aplace.png');
  background-repeat: repeat-x; /* Repeats the lace horizontally */
  z-index: 9999; /* Keeps it on top of other content */
  pointer-events: none; /* Allows users to click through the lace to links below */
}

::selection {
    background-color: #ffe5f3;
    color: #b57eab;
}

html, body { padding: 0; margin: 0; }
html { 
    background-color: #fff;
    background-image: url(https://file.garden/afur3PEpvWUTiMvr/Backgrounds/rosepaperSmol.png);
    font-family: 'Spectral-Regular';
    font-size: 12pt;
    display: flex;
    flex-direction: column;
    min-height: 100vh;
}

html {
cursor: url('https://file.garden/afur3PEpvWUTiMvr/Cursors/angelpinkheart.png'), auto !important;
}
*{
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

body {
    width: 999px;
    margin: auto;
    color: #e85b8d;
    border-bottom: 0;
    padding: 5px;
    margin-top: 100px;
    border-radius: 30px 30px 0 0;
    background-image: url();
    background-repeat: no-repeat;
    background-position: bottom right;
    flex-grow: 1;
}
header {
    background-color: ;
    background-image: url(https://file.garden/afur3PEpvWUTiMvr/Images/photologheader.png);
    background-size: no-repeat;
    background-position: center;
    padding: 10px;
    border-radius: 25px 25px 0 0;
}
.mainalign {
    display: flex;
    flex-direction: column-reverse;
}
nav ul {
    display: flex;
    margin: 0; padding: 0;
    justify-content: space-around;
    list-style: none;
}
nav ul li {
    margin: 0; padding: 0; flex-grow: 1;
}
nav ul li a {
    display: block; padding: 10px;
}
footer p {
    text-align: center;
}

h1 {
    margin: 0;
    margin-top: 250px;
    color: #fff;
    background-color: #000;
    mix-blend-mode: difference;
    font-size: 35pt;
    text-align: right;
    vertical-align: bottom;
    font-family: 'HappyLilFont';
}
h2 {
    font-size: 25pt;
    color: #000;
    border-bottom: 1px solid;
    margin: 1em 1em;
}
h3 {
    border: 1px solid #000;
    background-color: #fff;
    color: #000;
    background-image: url();
    background-position: center right;
    background-repeat: no-repeat;
    margin: 15px;
    padding: 5px;
    font-size: 15pt;
    font-family: 'HappyLilFont';
}
h4 {
    font-size: 12pt;
    border-bottom: 1px dashed;
    margin-left: 2em;
}
p {
    margin: 1em 3em;
    text-align: justify;
}
blockquote {
    margin: 1em 4em;
    text-align: justify;
    border-left: 3px solid #999;
    padding: 10px;
}
ul {
    list-style-type: circle;
}
ol {
    list-style-type: lower-roman;
}
ul, ol {
    margin: 1em 6em;
}
table {
    border-collapse: collapse;
    margin: auto;
    width: 700px;
}
td, th {
    border: 1px solid #333;
    padding: 5px;
}
th {
    background-color: #ccc;
}
td {
    background-color: #fff;
}

strong, b, em, i, u { color: #ca9ed9; }
a {
    color: #ce91a7;
    font-weight: bold;
}
a:hover {
    color: #a1cadb;
}

/* Centers and contains the image block */
.image-container {
  max-width: 300px;
  margin: 10px;
  padding: 5px;
  border-width:7px; 
  border-style:solid;
  border-image: url("https://file.garden/afur3PEpvWUTiMvr/Backgrounds/whitelace.png") 7 fill round;
  display: inline-block;
  column-break-inside: avoid;
}

/* Ensures the image fills the container width */
.image-container img {
  width: 100%;
  height: auto;
  display: flex;
}

/* Styles the caption text */
.image-container figcaption {
  padding: 8px 0 0 0;
  font-size: 0.9rem;
  font-family: 'Spectral-Regular';
  color: #b98698;
  text-align: center;
}



.box {
    background-color: #ffffff;
    border-width:7px; 
    border-style:solid;
    border-image: url("https://file.garden/afur3PEpvWUTiMvr/Backgrounds/whiteborder.png") 7 fill round;
    padding: 5px;
    margin: 10px;
}
.deco {
    background-color: #ddd;
    color: #000;
    border: 1px solid;
    padding: 3px;
}

.bebe {
            position: absolute;
            top: 340px;
            left: 435px;
            width: 80px;
            height: 185px;
            pointer-events: none;
        }

        .bebe2 {
            position: absolute;
            top: 320px;
            left: 800px;
            width: 323px;
            height: 28px;
            pointer-events: none;
        }


.center {
    display: block;
    text-align: center;
    margin: auto;
}
.icon {
    float: left;
    margin: 5px;
    margin-left: 3em;
    display: block;
}
.icon2 {
    float: right;
    margin: 5px;
    margin-right: 3em;
    display: block;
}

.gallery {
    display: flex;
    width: fit-content;
    margin: auto;
    max-width: 750px;
    gap: 10px;
}